| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
uhd::digital_filter_base< tap_t > Class Template Reference

`#include <uhd/types/filters.hpp>`

Inheritance diagram for uhd::digital_filter_base< tap_t >:

## Public Types
typedef std::shared_ptr< digital_filter_base > | sptr
Public Types inherited from uhd::filter_info_base
enum | filter_type { ANALOG_LOW_PASS , ANALOG_BAND_PASS , DIGITAL_I16 , DIGITAL_FIR_I16 }
typedef std::shared_ptr< filter_info_base > | sptr

## Public Member Functions
| digital_filter_base (filter_type type, bool bypass, size_t position_index, double rate, uint32_t interpolation, uint32_t decimation, tap_t tap_full_scale, uint32_t max_num_taps, const std::vector< tap_t > &taps)
UHD_INLINE double | get_output_rate ()
UHD_INLINE double | get_input_rate ()
UHD_INLINE uint32_t | get_interpolation ()
UHD_INLINE uint32_t | get_decimation ()
UHD_INLINE uint32_t | get_tap_full_scale ()
UHD_INLINE std::vector< tap_t > & | get_taps ()
std::string | to_pp_string () override
Public Member Functions inherited from uhd::filter_info_base
| filter_info_base (filter_type type, bool bypass, size_t position_index)
virtual UHD_INLINE bool | is_bypassed ()
UHD_INLINE filter_type | get_type ()
virtual | ~filter_info_base ()

## Protected Attributes
double | _rate
uint32_t | _interpolation
uint32_t | _decimation
tap_t | _tap_full_scale
uint32_t | _max_num_taps
std::vector< tap_t > | _taps
Protected Attributes inherited from uhd::filter_info_base
filter_type | _type
bool | _bypass
size_t | _position_index

## Member Typedef Documentation

## ◆ sptr

template<typename tap_t>

typedef std::shared_ptr<digital_filter_base> uhd::digital_filter_base< tap_t >::sptr

## Constructor & Destructor Documentation

## ◆ digital_filter_base()

template<typename tap_t>

uhd::digital_filter_base< tap_t >::digital_filter_base | ( | filter_type | type,
|  | bool | bypass,
|  | size_t | position_index,
|  | double | rate,
|  | uint32_t | interpolation,
|  | uint32_t | decimation,
|  | tap_t | tap_full_scale,
|  | uint32_t | max_num_taps,
|  | const std::vector< tap_t > & | taps )
| inline

## Member Function Documentation

## ◆ get_decimation()

template<typename tap_t>

UHD_INLINE uint32_t uhd::digital_filter_base< tap_t >::get_decimation | ( |  | ) |
| inline

## ◆ get_input_rate()

template<typename tap_t>

UHD_INLINE double uhd::digital_filter_base< tap_t >::get_input_rate | ( |  | ) |
| inline

## ◆ get_interpolation()

template<typename tap_t>

UHD_INLINE uint32_t uhd::digital_filter_base< tap_t >::get_interpolation | ( |  | ) |
| inline

## ◆ get_output_rate()

template<typename tap_t>

UHD_INLINE double uhd::digital_filter_base< tap_t >::get_output_rate | ( |  | ) |
| inline

## ◆ get_tap_full_scale()

template<typename tap_t>

UHD_INLINE uint32_t uhd::digital_filter_base< tap_t >::get_tap_full_scale | ( |  | ) |
| inline

## ◆ get_taps()

template<typename tap_t>

UHD_INLINE std::vector< tap_t > & uhd::digital_filter_base< tap_t >::get_taps | ( |  | ) |
| inline

## ◆ to_pp_string()

template<typename tap_t>

std::string uhd::digital_filter_base< tap_t >::to_pp_string | ( |  | ) |
| inline override virtual

Reimplemented from uhd::filter_info_base.

## Member Data Documentation

## ◆ _decimation

template<typename tap_t>

uint32_t uhd::digital_filter_base< tap_t >::_decimation
| protected

## ◆ _interpolation

template<typename tap_t>

uint32_t uhd::digital_filter_base< tap_t >::_interpolation
| protected

## ◆ _max_num_taps

template<typename tap_t>

uint32_t uhd::digital_filter_base< tap_t >::_max_num_taps
| protected

## ◆ _rate

template<typename tap_t>

double uhd::digital_filter_base< tap_t >::_rate
| protected

## ◆ _tap_full_scale

template<typename tap_t>

tap_t uhd::digital_filter_base< tap_t >::_tap_full_scale
| protected

## ◆ _taps

template<typename tap_t>

std::vector<tap_t> uhd::digital_filter_base< tap_t >::_taps
| protected

The documentation for this class was generated from the following file:

- filters.hpp